Subject: Re: bug#36677: [PATCH] Don't truncate backtraces

From: Robert Vollmert <[email-masked]>
Date: Wed, 17 Jul 2019 20:11:24 +0200

> On 17. Jul 2019, at 19:57, Mark H Weaver <[email-masked]> wrote:
> 
> Hi Robert,
> 
> Robert Vollmert <[email-masked]> writes:
> 
>> * module/system/repl/debug.scm (print-frame): Print full object if
>> width keyword is #f.
>> * libguile/backtrace.c (display_backtrace_body): Call print-frames
>> with #:width #f.
>> ---
>> 
>> This change was prompted by recent discussion on the Guix lists:
>>  https://lists.gnu.org/archive/html/guix-devel/2019-07/msg00207.html
>> In Guix, the truncation of stack traces frequently obscures
>> important information due to the long filenames.
> 
> I'm sympathetic to this problem, but simply disabling the truncated
> printing during backtraces is not workable.  It is quite often the case
> that some of the structures printed in backtraces are *huge*, or even
> cyclic.
> 
> Have you tried setting the COLUMNS environment variable to a larger
> value?  I'd prefer a solution along those lines, where the user can set
> an environment variable to ask for less truncation in backtraces.

Defaulting to something longer than 80 might be workable, say 250?

I don’t think that it should be necessary to set an environment variable
to get usable stack traces…